import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询所有[课程] - 下拉框场景
   * @param name 课程名称
   * @param page
   * @param size
   */
  selectCourseList(name) {
    return HttpKit.post('/admin/course/page', {
      name: name,
      page: 1,
      size: 900
    }).then(
      res => res.data
    )
  },
  /**
   * 功能描述：[课程]列表
   * @param name 课程名称
   * @param type 课程类型
   * @param page
   * @param size
   * @returns {Q.Promise<any>}
   */
  page(form) {
    return HttpKit.post('/admin/course/page', form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：[课程]详情
   * @param id
   * @returns {Q.Promise<any>}
   */
  detail(id) {
    return HttpKit.get('/admin/course/' + id, {}).then(
      res => res.data
    )
  },
  /**
   * 功能描述：新增/编辑[课程]
   * @param course
   */
  saveOrUpdate(course) {
    return HttpKit.post('/admin/course/save-or-update', course).then(
      res => res.data
    )
  },
  /**
   * 功能描述：替换[课程]删除状态
   * @param id
   */
  handleIsDel(id) {
    return HttpKit.post('/admin/course/handle-is-del', { id: id }).then(
      res => res.data
    )
  }
}
